ModelBuilder (Grails 6.0.0)

Package: grails.codegen.model

## [Groovy] Trait ModelBuilder

- grails.codegen.model.ModelBuilder

-     @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait ModelBuilder
      extends java.lang.Object

  Used to build a Model for the purposes of codegen

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private static class` | `ModelBuilder.ModelImpl` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `defaultPackage` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `defaultPackage`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Model` | `model(java.lang.Class cls)` A model for the given class name
    `` | `Model` | `model(java.lang.String className)` A model for the given class name
    `` | `Model` | `model(java.io.File file)` A model for the given class name
    `` | `Model` | `model(Resource resource)` A model for the given class name

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String defaultPackage

  - ### Property Detail

    - #### java.lang.String defaultPackage

  - ### Method Detail

    - #### Model model(java.lang.Class cls)

      A model for the given class name

      Parameters:
        `className` - The class name
      Returns:
        The Model instance

    - #### Model model(java.lang.String className)

      A model for the given class name

      Parameters:
        `className` - The class name
      Returns:
        The Model instance

    - #### Model model(java.io.File file)

      A model for the given class name

      Parameters:
        `className` - The class name
      Returns:
        The Model instance

    - #### Model model(Resource resource)

      A model for the given class name

      Parameters:
        `className` - The class name
      Returns:
        The Model instance